Complete a print batch
Transitions a printing batch to completed and leaves the printer finished until a human clears it.
Transitions a printing batch to completed and leaves the printer finished until a human clears it.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
id*string
Print batch ID
Format
uuidResponse Body
application/json
curl -X POST "https://example.com/production/print-batches/550e8400-e29b-41d4-a716-446655440000/complete"{ "batch": { "id": "string", "labId": "string", "printerId": "string", "roomId": "string", "name": "string", "status": "queued", "startedAt": "string", "completedAt": "string", "createdByMemberId": "string", "completedByMemberId": "string", "notes": "string", "failureReason": "string", "durationSeconds": 0, "createdAt": "string", "updatedAt": "string", "orderItems": [ { "id": "string", "orderId": "string", "orderNumber": "string", "productName": "string", "material": "string" } ], "orderItemsTruncated": true }, "advanced": [ "string" ], "skipped": [ { "orderId": "string", "reason": "string" } ], "requiresManualReview": true}Empty
Empty
Empty
Empty